Subject: Why linux keeps connected routes when link goes down

From: Ханкин Константин<[email-masked]>
Date: Thu, 19 Feb 2009 02:03:40 +0500

Hello!
Why kernel keeps connected routes when link is not in RUNNING state? It's not 
only linux behavior, some other OSes do so, but why?
It's interesting for me because I have a problem with setting up Quagga for 
OSPF support. When link goes down (!IFF_RUNNING), Quagga updates only its own 
routing table. I must use ifplugd to update routes in kernel (actually to 
delete connected route), but I think it is not a right way.
So the main question is: why linux keeps connected routes when link goes down?
PS: ``ip monitor'' reports about link fail after a minute or longer (on 
8139too and 3c905x). On some Acorp cards it doesn't notice link failure. Is it 
a bad driver or crappy cards? On r8169 I have no problems

--
Konstantin
E-mail [email-masked]
Jabber [email-masked]